{- This file is part of vocabulary-kadma.
 -
 - Written in 2015 by fr33domlover <fr33domlover@rel4tion.org>.
 -
 - ♡ Copying is an act of love. Please copy, reuse and share.
 -
 - The author(s) have dedicated all copyright and related and neighboring
 - rights to this software to the public domain worldwide. This software is
 - distributed without any warranty.
 -
 - You should have received a copy of the CC0 Public Domain Dedication along
 - with this software. If not, see
 - <http://creativecommons.org/publicdomain/zero/1.0/>.
 -}

-- | This is the top-level module for vocabulary entity variable definitions.
-- This package and any other package providing such definitions should place
-- them in a submodule corresponding to the Smaoin namespace hierarchy.
--
-- This top-level module just provides this introduction. To use some
-- definitions, import the submodules you need (and list the relevant packages
-- as dependencies).
--
-- This package provides definitions from the Kadma framework. Namespace
-- @smaoin@ maps to module "Data.Smaoin.Vocabulary.Smaoin" and so on. If you
-- publish definitions under namespace @hello@, place them under the module
-- @Data.Smaoin.Vocabulary.Hello@.
--
-- Some ontologies or groups of Smaoin definitions don't have a common
-- namespace. In that case, the Idan filename or some common title is used as
-- the submodule name. For nested namespaces, use nested modules. For example,
-- the module for namespace @hello:world@ would be
-- @Data.Smaoin.Vocabulary.Hello.World@.
module Data.Smaoin.Vocabulary () where
